一个同步ubuntu源的脚本。。。

出自http://li2z.cn,排骨写的,不错,收了~~~~o(∩_∩)o...哈哈,以后可以拿来参考一下


#!/bin/bash
[[ $UID == 0 ]] || { echo "Must be root to run this script."; exit 0; }
LOCK="/data/sync_sh/lock"
LOG="/data/sync_sh/log"
 
while true; do
echo -e "/nstart sync @ `date`" | tee -a $LOG
 
if [ -f $LOCK ]; then
    echo "another sync is running, I exiting..." | tee -a $LOG
    exit 1
fi
touch $LOCK
 
st=`date +%s`
rsync --timeout=120 --exclude=".~tmp~" -avP --delete-excluded --progress rsync://archive.ubuntu.com/ubuntu/pool/ /data/mirrors/ubuntu/pool/
res=$?
if [ $res -eq 0 ]; then
    echo "rsync pool succ" | tee -a $LOG
    et=`date +%s`
    echo "pool sync use $(( $et-$st )) sec = $(( ($et-$st)/60 )):$(( ($et-$st)%60 ))" | tee -a $LOG
else
    echo "rsync pool failed" $res | tee -a $LOG
fi
 
st=`date +%s`
rsync --timeout=120 --exclude=".~tmp~" -avP --delete-excluded --progress rsync://archive.ubuntu.com/ubuntu/ /data/mirrors/ubuntu/
res=$?
if [ $res -eq 0 ]; then
        echo "rsync all succ" | tee -a $LOG
        et=`date +%s`
        echo "all sync use $(( $et-$st )) sec = $(( ($et-$st)/60 )):$(( ($et-$st)%60 ))" | tee -a $LOG
else
        echo "rsync all failed" $res | tee -a $LOG
fi
 
df | grep "/data" | tee -a $LOG
echo -e "end sync @ `date`" | tee -a $LOG
 
rm $LOCK
 
sleep 7200
done




这个脚本先更新pool目录,再整个目录更新一遍,这样是为了减少出现软件列表里已经有某软件,但是却下载不到的情况。
脚本常驻运行,每隔两个小时就更新一次,163的源要隔天才更新一次,lupaworld一天才更新4次,这个比较新,以后可以考虑用这个源。
  • 0
    点赞
  • 0
    收藏
    觉得还不错? 一键收藏
  • 打赏
    打赏
  • 0
    评论

“相关推荐”对你有帮助么?

  • 非常没帮助
  • 没帮助
  • 一般
  • 有帮助
  • 非常有帮助
提交
评论
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包

打赏作者

LeosDing

你的鼓励将是我创作的最大动力

¥1 ¥2 ¥4 ¥6 ¥10 ¥20
扫码支付:¥1
获取中
扫码支付

您的余额不足,请更换扫码支付或充值

打赏作者

实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值